#
# spec file for package perl-List-SomeUtils
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-List-SomeUtils
Version:        0.56
Release:        lp152.3.2
%define cpan_name List-SomeUtils
Summary:        Provide the stuff missing in List::Util
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/List-SomeUtils/
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(List::SomeUtils::XS) >= 0.54
BuildRequires:  perl(Module::Implementation)
BuildRequires:  perl(Test::LeakTrace)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(List::SomeUtils::XS) >= 0.54
Requires:       perl(Module::Implementation)
%{perl_requires}

%description
*List::SomeUtils* provides some trivial but commonly needed functionality
on lists which is not going to go into List::Util.

All of the below functions are implementable in only a couple of lines of
Perl code. Using the functions from this module however should give
slightly better performance as everything is implemented in C. The
pure-Perl implementation of these functions only serves as a fallback in
case the C portions of this module couldn't be compiled on this machine.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.md README.md
%license LICENSE

%changelog
* Thu Aug  3 2017 coolo@suse.com
- updated to 0.56
  see /usr/share/doc/packages/perl-List-SomeUtils/Changes
  0.56     2017-07-22
  - Make sure we depend on the latest LSU::XS if the system support XS.
  0.55     2017-07-22
  - Fixed incorrect comments in doc examples for uniq().
  - Added a new function, mode(), requested by Jerrad Pierce. GH #2.
* Fri Jun  2 2017 coolo@suse.com
- updated to 0.54
  see /usr/share/doc/packages/perl-List-SomeUtils/Changes
  0.54     2017-06-01
  - Moved issue tracking to GitHub.
* Fri Aug 19 2016 coolo@suse.com
- updated to 0.53
  see /usr/share/doc/packages/perl-List-SomeUtils/Changes
* Thu Aug 18 2016 coolo@suse.com
- updated to 0.53
  see /usr/share/doc/packages/perl-List-SomeUtils/Changes
* Wed Aug 17 2016 coolo@suse.com
- updated to 0.53
  see /usr/share/doc/packages/perl-List-SomeUtils/Changes
* Tue Aug 16 2016 coolo@suse.com
- updated to 0.53
  see /usr/share/doc/packages/perl-List-SomeUtils/Changes
  0.53     2016-08-14
  - Replaced Exporter::Tiny with Exporter.
* Thu Jun  2 2016 coolo@suse.com
- initial package 0.52
  * created by cpanspec 1.78.08
